Product comparison · 2 ip phones

Yealink SIP T42U vs Yealink T33P IP phone Grey 4 lines

Add a product
  • 42specifications compared
  • 14differ
  • 28identical
  • 38known for one product only

Key differences

The Yealink SIP T42U has 8 more VoIP accounts than the Yealink T33P IP phone Grey 4 lines (12 vs 4). The Yealink SIP T42U has 2 more programmable keys than the Yealink T33P IP phone Grey 4 lines (6 vs 4). The Yealink SIP T42U has 1 more RJ-9 ports quantity than the Yealink T33P IP phone Grey 4 lines (2 vs 1). Only the Yealink T33P IP phone Grey 4 lines has integrated voicemail. Only the Yealink SIP T42U has Wi-Fi.

  • Handset type
    • SIP T42U:Wireless handset
    • T33P IP phone Grey 4 lines:Wired handset
  • Number of VoIP accounts
    • SIP T42U:12
    • T33P IP phone Grey 4 lines:4
  • Integrated voicemail
    • SIP T42U:No
    • T33P IP phone Grey 4 lines:Yes
  • Number of programmable keys
    • SIP T42U:6
    • T33P IP phone Grey 4 lines:4
  • Display diagonal
    • SIP T42U:6.86 cm (2.7")
    • T33P IP phone Grey 4 lines:6.1 cm (2.4")
  • Display resolution
    • SIP T42U:192 x 68 pixels
    • T33P IP phone Grey 4 lines:320 x 240 pixels
  • Ethernet LAN interface type
    • SIP T42U:Gigabit Ethernet
    • T33P IP phone Grey 4 lines:Fast Ethernet
  • Wi-Fi
    • SIP T42U:Yes
    • T33P IP phone Grey 4 lines:No

Side by side

Differences highlightedShow differences only (off)
Comparison of SIP T42U, T33P
80 specifications
Design1 differ
Product typeIP PhoneIP Phone
Handset typeDiffersWireless handsetWired handset
Product colourGreyGrey
MountingDesk/WallDesk/Wall
Wall mountableYesYes
Device lockKnown for oneYesUnknown — not stated by the source
Performanceidentical
Operating system installedKnown for oneUnknown — not stated by the sourceLinux
Phone features1 differ
Lines quantityKnown for oneUnknown — not stated by the source4 lines
Answering machineKnown for oneUnknown — not stated by the sourceYes
Hot deskingKnown for oneUnknown — not stated by the sourceYes
Anonymous callYesYes
Anonymous call rejectionYesYes
Call forwardingYesYes
Call historyYesYes
Call holdYesYes
Call parkYesYes
Call pick upYesYes
Call returnKnown for oneUnknown — not stated by the sourceYes
Call transferYesYes
Call waitingYesYes
Caller IDYesYes
Customizable wallpaperKnown for oneUnknown — not stated by the sourceYes
Direct callYesYes
Do not disturb functionYesYes
Emergency callKnown for oneUnknown — not stated by the sourceYes
Full duplexYesYes
Message-waiting indicator (MWI)Known for oneUnknown — not stated by the sourceYes
Number of VoIP accountsDiffers124
Phonebook capacity1000 entries1000 entries
RedialingYesYes
Short Message Service (SMS)Known for oneUnknown — not stated by the sourceYes
Speed diallingYesYes
Conference callKnown for oneYesUnknown — not stated by the source
Distinctive ringKnown for oneYesUnknown — not stated by the source
Management features2 differ
Integrated voicemailDiffersNoYes
Volume controlKnown for oneUnknown — not stated by the sourceButtons
Number of function keys55
Number of programmable keysDiffers64
Display2 differ
Display diagonalDiffers6.86 cm (2.7")6.1 cm (2.4")
Display resolutionDiffers192 x 68 pixels320 x 240 pixels
TouchscreenKnown for oneUnknown — not stated by the sourceNo
Backlight displayKnown for oneUnknown — not stated by the sourceYes
DisplayKnown for oneLCDUnknown — not stated by the source
Audioidentical
SpeakerphoneKnown for oneUnknown — not stated by the sourceYes
Noise reductionKnown for oneUnknown — not stated by the sourceYes
Voice codecsKnown for oneUnknown — not stated by the sourceAGC, AJB, CNG, G.711a, G.711u, G.722, G.723.1, G.726, G.729, G.729A, PLC, VAD, iLBC
Network4 differ
Ethernet LANYesYes
Ethernet LAN data ratesKnown for oneUnknown — not stated by the source10,100 Mbit/s
Ethernet LAN interface typeDiffersGigabit EthernetFast Ethernet
Wi-FiDiffersYesNo
BluetoothDiffersYesNo
DHCP clientKnown for oneUnknown — not stated by the sourceYes
Quality of Service (QoS) supportYesYes
Security algorithmsDiffers256-bit AES, HTTPS, TLS, WPA2, WPA3AES, HTTPS
Networking standardsKnown for oneIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3afUnknown — not stated by the source
Supported network protocolsKnown for oneIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)Unknown — not stated by the source
Ports & interfaces1 differ
Ethernet LAN (RJ-45) ports22
RJ-9 ports quantityDiffers21
USB 2.0 ports quantityKnown for one2Unknown — not stated by the source
Power1 differ
Power over Ethernet (PoE)Known for oneUnknown — not stated by the sourceYes
AC adapter input voltageKnown for oneUnknown — not stated by the source100 - 240 V
Input frequencyKnown for oneUnknown — not stated by the source50/60 Hz
Power consumption (typical)Differs2.2 W3 W
Power consumption (Power over Ethernet (PoE))Known for oneUnknown — not stated by the source5 W
Operational conditionsidentical
Operating relative humidity (H-H)10 - 95%10 - 95%
Operating temperature (T-T)-10 - 50 °C-10 - 50 °C
Weight & dimensions2 differ
Width212 mm212 mm
DepthDiffers189 mm186 mm
HeightDiffers175 mm146 mm
Package widthKnown for one627 mmUnknown — not stated by the source
Package depthKnown for one256 mmUnknown — not stated by the source
Package heightKnown for one235 mmUnknown — not stated by the source
Package weightKnown for one63 kgUnknown — not stated by the source
Packaging contentidentical
Base stationKnown for oneUnknown — not stated by the sourceYes
Ethernet cableKnown for oneUnknown — not stated by the sourceYes
HandsetKnown for oneUnknown — not stated by the sourceYes
Number of handles included1 pc(s)1 pc(s)
Quick start guideKnown for oneUnknown — not stated by the sourceYes
AC adapter includedKnown for oneNoUnknown — not stated by the source
Cameraidentical
Rear cameraKnown for oneYesUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons